--- title: "Retrieve a secret" slug: "retrieve-a-secret" updated: 2024-11-05T13:31:41Z published: 2024-11-05T13:31:41Z canonical: "developers.torq.io/retrieve-a-secret" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve a secret Get/v1alpha/secrets/{id} Returns the details of an existing secret by ID. SecurityHTTPType bearer Path parametersidstring (uuid) Required ID The ID of the secret to retrieve. To get a list of secret IDs make a `List secrets` request. Responses200 A successful response. Expand Allobject idstring (uuid) The unique identifier of the secret. Exampleb7a6c3f0-5d6a-4b3b-8f9a-103c4d5e6f7a display_namestring The name of the secret as it appears in the Torq UI. ExampleMy AWS Key keystring The key by which the secret will be referenced in workflows. This value is generated from the display name during the creation of the secret. Examplemy_aws_key created_timestring (date-time) The timestamp when the secret was created. Example2022-09-12T10:52:06Z updated_timestring (date-time) The timestamp when the secret was last updated. Example2021-01-01T12:00:00Z sharing_dataobject (v1alphaSharingData) directionstring - not_shared: The resource isn't shared. - incoming: The resource is shared with the workspace (incoming). - outgoing: The resource is shared from the workspace (outgoing). Valid values[ "not_shared", "incoming", "outgoing" ]Default"not_shared" workspace_ids Array of string If the resource is shared with the workspace (incoming) this field will hold the source workspace ID. Otherwise, if the resource is shared from the workspace (outgoing), this field will hold the IDs of the destination workspaces. string 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object default An unexpected error response. Expand Allobject codeinteger (int32) messagestring details Array of object (protobufAny) object `Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message. Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type. Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ... Example 4: Pack and unpack a message in Go foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z". # JSON The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example: package google.profile; message Person { "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": } If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" } @typestring A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: - If no scheme is provided, `https` is assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. - Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics. property*object additionalProperties